Aula is in early access. These docs grow as it does.
Skip to Content
Aula
API ReferenceLesson types

Archive a lesson type

Archives, never deletes: bookings and purchases keep pointing at it. Needs a `catalog:write` token.

DELETE
/api/v1/lesson-types/{id}

Archives, never deletes: bookings and purchases keep pointing at it. Needs a catalog:write token.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Path Parameters

id*string
Formatuuid

Response Body

Archived.

application/json
  1. response
id*string
Formatuuid
teacherId*string
Formatuuid
title*string
description*|
Defaultnull
isTrial*boolean
Defaultfalse
active*boolean
Defaulttrue
capacity*number
Default1
mode*string
Default"online"
Value in"online""in_person""either"
address*|
Defaultnull
roomId*|
Formatuuid
Defaultnull
subject*|
Defaultnull
level*|
Defaultnull
prices*array<>

One price per lesson length, in minor units of the school's currency.

currency*string
archived*boolean
Example Request
curl -X DELETE 'https://aula.sferarc.com/api/v1/lesson-types/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "teacherId": "2b1c548d-1f43-4459-9412-4268cfad4c85",  "title": "string",  "description": null,  "isTrial": false,  "active": true,  "capacity": 1,  "mode": "online",  "address": null,  "roomId": null,  "subject": null,  "level": null,  "prices": [    {      "durationMinutes": 0,      "priceMinor": 0    }  ],  "currency": "string",  "archived": true}